Bug 24985 - CSS min-width ignored for input type="button"
Summary: CSS min-width ignored for input type="button"
Status: RESOLVED CONFIGURATION CHANGED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Mac OS X 10.5
: P2 Normal
Assignee: Nobody
URL: http://buckleycomputers.ie/min-width....
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2009-04-01 06:04 PDT by Dermot Buckley
Modified: 2022-06-02 09:07 PDT (History)
3 users (show)

See Also:


Attachments
Safari 15.5 matches other browsers (367.75 KB, image/png)
2022-06-02 08:33 PDT, Ahmad Saleem
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dermot Buckley 2009-04-01 06:04:24 PDT
CSS min-width specifications appear to be ignored for input type=button controls.

See http://buckleycomputers.ie/min-width.html, the first button specifies a min-width of 400 pixels, the second specifies a width of 400 pixels.  I would expect both to be 400 pixels wide.

This is a regression, as it works as expected in safari 3.2.1 (Webkit/525.27.1).
Comment 1 Dermot Buckley 2009-07-15 09:12:59 PDT
This appears to be fixed now in Chrome.

It would be great if it were also fixed in webkit.
Comment 2 Jon Honeycutt 2011-12-06 16:56:54 PST
<rdar://problem/10538449>
Comment 3 Ahmad Saleem 2022-06-02 08:33:44 PDT
Created attachment 459961 [details]
Safari 15.5 matches other browsers

I was able to retrieve the test case from the URL using wayback archive and change it to following JS Fiddle:

Link - https://jsfiddle.net/o6az20mx/show

As shown in attached picture, I am unable to find any difference the behavior across Chrome Canary 104 and Firefox Nightly 103 compared to Safari 15.5.

It might be fixed along the line and I think should be closed as "RESOLVED CONFIGURATION CHANGED" unless if I tested it incorrectly. Please retest accordingly, in case if I came to wrong conclusion. Thanks!
Comment 4 Alexey Proskuryakov 2022-06-02 09:07:47 PDT
Thank you for checking!